chat/telegram-purple - The NetBSD Packages Collection

libpurple protocol plugin for the Telegram messenger

Telegram is a cloud-based instant messaging service. Telegram clients exist for
both mobile (Android, iOS, Windows Phone, Ubuntu Touch) and desktop systems
(Windows, OS X, Linux). Users can send messages and exchange photos, videos,
stickers and files of any type up to 1.5 GB in size. Telegram also provides
optional end-to-end encrypted messaging with self-destruct timers.

This package contains a libpurple protocol plugin that adds support for the
Telegram messenger.

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/gmake devel/pkgconf

Runtime dependencies

chat/libpurple graphics/libwebp security/libgcrypt chat/libpurple graphics/libwebp security/libgcrypt

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftelegram-purple-1.3.1nb4.tgz
NetBSD 8.0earmv7hftelegram-purple-1.3.1nb3.tgz
NetBSD 8.0earmv7hftelegram-purple-1.3.1nb4.tgz
NetBSD 8.0i386telegram-purple-1.3.1nb3.tgz
NetBSD 8.0i386telegram-purple-1.3.1nb4.tgz
NetBSD 8.0i386telegram-purple-1.3.1nb4.tgz
NetBSD 8.0x86_64telegram-purple-1.3.1nb4.tgz
NetBSD 8.0x86_64telegram-purple-1.3.1nb3.tgz
NetBSD 8.0x86_64telegram-purple-1.3.1nb4.tgz
NetBSD 9.0aarch64telegram-purple-1.3.1nb4.tgz
NetBSD 9.0aarch64telegram-purple-1.3.1nb3.tgz
NetBSD 9.0aarch64telegram-purple-1.3.1nb4.tgz
NetBSD 9.0alphatelegram-purple-1.3.1nb4.tgz
NetBSD 9.0alphatelegram-purple-1.3.1nb4.tgz
NetBSD 9.0earmv6hftelegram-purple-1.3.1nb4.tgz
NetBSD 9.0earmv6hftelegram-purple-1.3.1nb4.tgz
NetBSD 9.0earmv6hftelegram-purple-1.3.1nb4.tgz
NetBSD 9.0earmv7hftelegram-purple-1.3.1nb4.tgz
NetBSD 9.0earmv7hftelegram-purple-1.3.1nb4.tgz
NetBSD 9.0earmv7hftelegram-purple-1.3.1nb4.tgz
NetBSD 9.0i386telegram-purple-1.3.1nb4.tgz
NetBSD 9.0i386telegram-purple-1.3.1nb4.tgz
NetBSD 9.0x86_64telegram-purple-1.3.1nb4.tgz
NetBSD 9.0x86_64telegram-purple-1.3.1nb4.tgz
NetBSD 9.0x86_64telegram-purple-1.3.1nb4.tgz
NetBSD 9.0x86_64telegram-purple-1.3.1nb4.tgz
NetBSD 9.0x86_64telegram-purple-1.3.1nb3.tgz
NetBSD 9.0x86_64telegram-purple-1.3.1nb4.tgz
NetBSD 9.0x86_64telegram-purple-1.3.1nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.